use clap::{Args, ValueEnum};

#[derive(Args)]
pub struct Arguments {
    #[clap(value_enum, value_parser)]
    pub color_depth: ColorType,

    #[clap(value_enum, value_parser, default_value_t=ClutAlignment::None)]
    pub clut_align: ClutAlignment,

    #[clap(long="semi-trans", default_value_t=false)]
    pub semi_transparent: bool,

    #[clap(long="color-trans", default_value_t=false)]
    pub transparent_palette: bool
}

#[derive(Copy, Clone, PartialEq, Eq, PartialOrd, Ord, ValueEnum)]
pub enum ColorType{
    Clut4,
    Clut8,
    Full16,
}

#[derive(Copy, Clone, PartialEq, Eq, PartialOrd, Ord, ValueEnum)]
pub enum ClutAlignment {
    None,
    Linear,
    Block
}